=== modified file 'doc/changes.rst'
@@ -5,7 +5,12 @@
Version 0.5.8 (UNRELEASED)
==========================
-
+* Changes for virtual express support:
+ * Add in a standard vexpress config for UEFI
+ * Make changes to allow for different boot interception message
+ configuration
+ * Increase timeouts for some stages of deployment (mkfs ext3) to
+ account for vexpress (lack of) speed.
.. _version_0_5_7:
=== added directory 'doc/scripts'
=== added file 'doc/scripts/lava-partition-disk'
@@ -0,0 +1,64 @@
+#!/bin/bash
+
+if [ "$1" = "" ]
+then
+ DEVICE="/dev/sdb"
+else
+ DEVICE=$1
+fi
+
+if [ "$2" = "" ]
+then
+# SIZE is the size of the testrootfs partition. On an 8G sd you can fit
+# 4G - put it up to 8G on a 16GB. The rest is allocated to sdcard for
+# android
+ SIZE="4G"
+else
+ SIZE=$2
+fi
+
+if [ "$3" = "" ]
+then
+ SCHEME="2part"
+else
+ SCHEME=$3
+fi
+
+# origen has a different original layout with 3 partitions - all others are the same (so far)
+
+if [ $SCHEME = "2part" ]
+then
+ TESTBOOT_PART=3
+ TESTROOTFS_PART=5
+ SDCARD_PART=6
+ LAST_BLOCK=2
+else
+ TESTBOOT_PART=5
+ TESTROOTFS_PART=6
+ SDCARD_PART=7
+ LAST_BLOCK=3
+fi
+
+FIRST_BLOCK_START=`sudo fdisk -S 63 -H 255 -lc $DEVICE | grep "$DEVICE$LAST_BLOCK" | awk '{print $3 + 1}'`
+
+if [ "$FIRST_BLOCK_START" = "" ]
+then
+ echo "Device specification error: $DEVICE"
+ exit 1
+fi
+
+if [ $SCHEME = "2part" ]
+then
+ EXTENDED_BLOCK_START=`echo $FIRST_BLOCK_START | awk '{print $1 + 131072}'`
+ FDISK_SCRIPT="n\np\n3\n$FIRST_BLOCK_START\n+64M\nt\n3\nc\nn\ne\n$EXTENDED_BLOCK_START\n\nn\n\n+$SIZE\nn\n\n\nt\n6\nc\np\nw\n"
+else
+ FDISK_SCRIPT="n\ne\n$FIRST_BLOCK_START\n\nn\n\n+64M\nt\n5\nc\nn\n\n+$SIZE\nn\n\n\nt\n7\nc\np\nw\n"
+fi
+
+echo -e $FDISK_SCRIPT | sudo fdisk -S 63 -H 255 -c $DEVICE
+
+sudo partprobe $DEVICE
+sudo mkfs.vfat -n testboot "$DEVICE$TESTBOOT_PART"
+sudo mkfs.vfat -n sdcard "$DEVICE$SDCARD_PART"
+sudo mkfs.ext3 -L testrootfs "$DEVICE$TESTROOTFS_PART"
+sync
=== modified file 'lava_dispatcher/client/master.py'
@@ -175,7 +175,7 @@
session.run('umount /dev/disk/by-label/testrootfs', failok=True)
session.run(
- 'mkfs -t %s -q /dev/disk/by-label/testrootfs -L testrootfs' % rootfstype)
+ 'mkfs -t %s -q /dev/disk/by-label/testrootfs -L testrootfs' % rootfstype, timeout=1800)
session.run('udevadm trigger')
session.run('mkdir -p /mnt/lava/system')
session.run(
@@ -448,7 +448,7 @@
logging.info("Boot the system master image")
self.soft_reboot()
try:
- self.proc.expect("Starting kernel")
+ self.proc.expect("Uncompressing Linux")
self._in_master_shell(300)
except:
logging.exception("in_master_shell failed")
@@ -463,7 +463,7 @@
session.run('umount /dev/disk/by-label/testrootfs', failok=True)
session.run(
'mkfs -t %s -q /dev/disk/by-label/testrootfs -L testrootfs'
- % fstype)
+ % fstype, timeout=1800)
session.run('umount /dev/disk/by-label/testboot', failok=True)
session.run('mkfs.vfat /dev/disk/by-label/testboot -n testboot')
@@ -639,7 +639,8 @@
self.proc.sendline("hardreset")
def _enter_uboot(self):
- self.proc.expect("Hit any key to stop autoboot")
+ interrupt_boot_prompt = self.device_option('interrupt_boot_prompt')
+ self.proc.expect(interrupt_boot_prompt)
self.proc.sendline("")
def _boot_linaro_image(self):
=== modified file 'lava_dispatcher/default-config/lava-dispatcher/device-defaults.conf'
@@ -82,6 +82,9 @@
# Test image recognization string
TESTER_STR = root@linaro
+# The string to look for to interrupt the boot process
+interrupt_boot_prompt = Hit any key to stop autoboot
+
# The character the boot loader uses as a prompt on this board.
bootloader_prompt = #
=== added file 'lava_dispatcher/default-config/lava-dispatcher/device-types/vexpress.conf'
@@ -0,0 +1,7 @@
+boot_cmds = 2
+
+boot_cmds_android = 3
+
+interrupt_boot_prompt = The default boot selection will start in
+
+bootloader_prompt = Start: